import type { INodeItem, INodeItemType } from "./type";
export declare const canAddChildNode: (childType: INodeItemType, parentType: INodeItemType) => boolean;
export declare const useTool: () => {
    copyNodeItem: import("vue").Ref<{
        id: number;
        key: string;
        type: INodeItemType;
        bg?: string;
        isKeyEditing?: boolean;
        isValueEditing?: boolean;
        showToolBar?: boolean;
        isShowBg?: boolean;
        hideChildren?: boolean;
        temp?: boolean;
        customData?: Object;
        children?: (any | {
            id: number;
            temp: boolean;
            key?: string;
            type?: INodeItemType;
            bg?: string;
            isKeyEditing?: boolean;
            isValueEditing?: boolean;
            showToolBar?: boolean;
            isShowBg?: boolean;
            hideChildren?: boolean;
            customData?: Object;
            children?: (any | any)[];
            value?: string | number | boolean;
        })[];
        value?: string | number | boolean;
    } | {
        id: number;
        temp: boolean;
        key?: string;
        type?: INodeItemType;
        bg?: string;
        isKeyEditing?: boolean;
        isValueEditing?: boolean;
        showToolBar?: boolean;
        isShowBg?: boolean;
        hideChildren?: boolean;
        customData?: Object;
        children?: (any | any)[];
        value?: string | number | boolean;
    }>;
    getToolBar: (type: INodeItemType, copyItem: null | INodeItem) => string[];
    handleChooseTool: (type: string, element: INodeItem, parentList?: INodeItem[]) => void;
    handleEditKey: (element: INodeItem) => void;
    handleDeleteNode: (element: INodeItem, parent?: INodeItem[]) => void;
};
